From willy@www.linux.org.uk Tue Mar 29 10:11:27 2005
Date: Tue, 29 Mar 2005 19:08:48 +0100
From: Matthew Wilcox <matthew@wil.cx>
To: Prarit Bhargava <prarit@sgi.com>
Cc: Matthew Wilcox <matthew@wil.cx>, pcihpd-discuss@lists.sourceforge.net,
	linux-pci@atrey.karlin.mff.cuni.cz, Greg KH <greg@kroah.com>
Subject: PCI: update PCI documentation for pci_get_slot() depreciation
Content-Length: 747
Lines: 18


pci_find_slot() doesn't work on multiple-domain boxes so pci_get_slot()
should be used instead.

Signed-off-by: Matthew Wilcox <matthew@wil.cx>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

--- ./Documentation/pci.txt	18 Mar 2005 13:16:02 -0000	1.6
+++ ./Documentation/pci.txt	29 Mar 2005 18:07:05 -0000
@@ -279,6 +279,7 @@ pci_for_each_dev_reverse()	Superseded by
 pci_for_each_bus()		Superseded by pci_find_next_bus()
 pci_find_device()		Superseded by pci_get_device()
 pci_find_subsys()		Superseded by pci_get_subsys()
+pci_find_slot()			Superseded by pci_get_slot()
 pcibios_find_class()		Superseded by pci_get_class()
 pci_find_class()		Superseded by pci_get_class()
 pci_(read|write)_*_nodev()	Superseded by pci_bus_(read|write)_*()


